# Class VotCopy

java.lang.Object
uk.ac.starlink.ttools.task.VotCopy

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

public class VotCopy extends Object implements uk.ac.starlink.task.Task
Task which Copies a VOTable XML document intact but with control over the DATA encoding type.

Since:
  19 Apr 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`VotCopy()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.Executable`
`createExecutable(uk.ac.starlink.task.Environment env)`
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
`String`
`getPurpose()`
`static void`
`saxCopy(InputSource saxSrc, VotCopyHandler copyHandler)`
Copies the SAX stream to the output, writing TABLE DATA elements in a given encoding.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VotCopy

public VotCopy()
Constructor.

## Method Details

### getPurpose

public String getPurpose()

Specified by:
  `getPurpose` in interface `uk.ac.starlink.task.Task`

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()

Specified by:
  `getParameters` in interface `uk.ac.starlink.task.Task`

### createExecutable

public uk.ac.starlink.task.Executable createExecutable(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException

Specified by:
  `createExecutable` in interface `uk.ac.starlink.task.Task`
Throws:
  `uk.ac.starlink.task.TaskException`

### saxCopy

public static void saxCopy(InputSource saxSrc, VotCopyHandler copyHandler) throws SAXException, IOException
Copies the SAX stream to the output, writing TABLE DATA elements in a given encoding.

Parameters:
  `saxSrc` - SAX input source
  `copyHandler` - handler which can consume SAX events - may be a LexicalHandler too
Throws:
  `SAXException`
  `IOException`